package com.lukouguoji.module_base.ktx

import kotlin.math.roundToInt

/**
 * @author：孟凡华
 * @date：2023/7/24
 * @desc：
 */
/**
 * 限制两位小数
 */
fun String.limitDecimal(digit: Int = 2): String {
    return tryCatch({
        ((this.toDouble() * 100).roundToInt() / 100.0).toString()
    }) {
        if (this.contains(".")) {
            val split = this.split(".")
            if (split[1].length > digit) {
                "${split[0]}.${split[1].substring(0, digit)}"
            } else {
                this
            }
        } else {
            this
        }
    }!!
}